{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.crl.fish.general": {
			"initial_state": "flopping",
			"states": {
				"flopping": {
					"animations": ["flop"],
					"transitions": [
						{"swimming": "query.is_in_water || query.is_levitating"}
					]
				},
				"swimming": {
					"animations": ["swim"],
					"transitions": [
						{"flopping": "!query.is_in_water && !query.is_levitating"}
					]
				}
			}
		},
		"controller.animation.crl.fish.always": {
			"states": {
				"default": {
					"animations": ["fish_idle", "idle", "fish_vert"]
				}
			}
		}
	}
}